module "kms_security" {
  source = "../../submodules/kms/ebs-key"

  name = "kms_security"
  alias = "alias/kms_security"
  description = "Used for encrypting security things such as the interconnects ebs drives."
  tags = merge(var.standard_tags, var.tags)
  key_admin_arns = [ ]
  key_user_arns = [ ]
  key_attacher_arns =  [ ]
  standard_tags = var.standard_tags
  aws_account_id = var.aws_account_id
  aws_partition = var.aws_partition
  is_legacy = var.is_legacy
}

#module "kms_palo" {
#  source = "../../../submodules/kms/ebs-key"
#
#  name = "palo_alto_ebs"
#  alias = "alias/palo_alto_ebs"
#  description = "Used for encrypting palo alto and panorama images."
#  tags = merge(var.standard_tags, var.tags)
#  key_admin_arns = [ ]
#  key_user_arns = [ ]
#  key_attacher_arns =  [ ]
#  standard_tags = var.standard_tags
#  aws_account_id = var.aws_account_id
#  aws_partition = var.aws_partition
#}
